# Runnsuccesses

рус.: Автозапуск

Компонент Runsuccesses предназнчен для запуска какого-то действия при старте конфигурации без участия пользователя.

## Связи

### Входящие связи

### Исходящие связи

OutLink
  По связи передается значение true другому компоненту

## Свойства

Delay
  Задержка (в миллисекундах) между запуском конфигурации и срабатыванием компонента Runsuccesses. Значение целочисленное (2500).

## Пример использования

Создадим конфигурацию, после запуска которой через 5 секунд будет нажиматься кнопка сама, если пользователь сам не сделает этого.

Нам понадобятся компоненты NPCFaceContainer, NPCTextButton и Runnsuccesses.

Свяжем все визуальные компоненты, создадим связь от компонента NPCFaceContainer к компоненту NPCTextButton.

Если запустить конфигурацию сейчас, то ничего не произойдет и кнопка останется не нажатой. Создадим связь от компонента Runsuccesses к компоненту NPCTextButton.

Отредактируем свойства компонента Runsuccesses: Delay - "5000".

Запустим конфигурацию (F9).

С одним компонентом Runsuccesses можно связать несколько компонентов.

Последнее изменение: 27.01.2009